# class VorbisFile

#### package lime.media.codecs.vorbis

Available on all platforms

### Variables

###

`read onlybitstream:Int`

### Methods

###

`bitrate (bitstream:Int = -1):Int`

###

`bitrateInstant ():Int`

###

`clear ():Void`

###

`comment (bitstream:Int = -1):VorbisComment`

###

`crosslap (other:VorbisFile):Int`

###

`info (bitstream:Int = -1):VorbisInfo`

###

`pcmSeek (pos:Int64):Int`

###

`pcmSeekLap (pos:Int64):Int`

###

`pcmSeekPage (pos:Int64):Int`

###

`pcmSeekPageLap (pos:Int64):Int`

###

`pcmTell ():Int64`

###

`pcmTotal (bitstream:Int = -1):Int64`

###

`rawSeek (pos:Int64):Int`

###

`rawSeekLap (pos:Int64):Int`

###

`rawTell ():Int64`

###

`rawTotal (bitstream:Int = -1):Int64`

###

`read (buffer:Bytes, position:Int, length:Int = 4096, bigEndianPacking:Bool = false, wordSize:Int = 2, signed:Bool = true):Int`

###

`readFloat (pcmChannels:Bytes, samples:Int):Int`

###

`seekable ():Bool`

###

`serialNumber (bitstream:Int = -1):Int`

###

`streams ():Int`

###

`timeSeek (s:Float):Int`

###

`timeSeekLap (s:Float):Int`

###

`timeSeekPage (s:Float):Int`

###

`timeSeekPageLap (s:Float):Int`

###

`timeTell ():Float`

###

`timeTotal (bitstream:Int = -1):Float`

### Static methods

###

`staticfromBytes (bytes:Bytes):VorbisFile`

###

`staticfromFile (path:String):VorbisFile`